### Constructor

# ICalGLib VcardValue new_from_string

since: 4.0

#### Declaration [src]

    ICalVcardValue*
    i_cal_vcard_value_new_from_string (
      ICalVcardValueKind kind,
      const gchar* str
    )

#### Description [src]

Creates a new `ICalVcardValue` based on the `ICalVcardValueKind` and a string.

Available since: 4.0

#### Parameters

`kind`

  Type: `ICalVcardValueKind`

  A `ICalVcardValueKind`.

`str`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalVcardValue`

The newly created `ICalVcardValue` based on the `kind` and `str`.

The caller of the function takes ownership of the data, and is responsible for freeing it.